Subject: bug#7913: 23.2; Mac OS X Dual Spacing Fonts Fix (Patch supplied)

From: Chong Yidong <[email-masked]>
Date: Thu, 16 Aug 2012 14:44:21 +0800

Dragan Ivanovic <[email-masked]> writes:

> 1) Frames open twice as wide when using e.g. "M+ 1m" font.  This is
>    addressed by using the width of a printable character instead of
>    the maximum width from the font metrics. (Btw., I don't know how
>    this affects Japanese users.)  It is not just the annoyance of
>    having to resize fonts, of course, but also that all automatic text
>    wrapping works wrongly.  Font metrics is obviously not reliable in
>    this case.  Admittedly, choice of a character in the range 32-126
>    should not be significant here, but:

I committed a change to trunk so that the average character width for a
font is now calculated by an average over printable ASCII characters
(similar to how we do it for Xft).  Could you try that and see if it
makes any difference?